#pragma once
#include "Light.h"

class AmbientLight :
    public Light
{
public:
    AmbientLight() : Light() {};
    AmbientLight(int red, int green, int blue) : Light(red, green, blue) {};
    AmbientLight(const AmbientLight& other);

    COLORREF CalculateLightShared(const Model& currentModel, COLORREF colorIn);

    COLORREF CalculateLight(const Model& currentModel, const Polygon3D& currentPolygon, COLORREF colorIn);
    COLORREF CalculateLight(const Model& currentModel, const Vertex& currentVertex, COLORREF colorIn);

    AmbientLight& operator= (const AmbientLight& rhs);

private:
    void Copy(const AmbientLight& other);

};

